package com.eactive.eai.rms.onl.manage.rule.upload;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMonitoringTemplateDao;

/**
 * The Class LayoutDao.
 * <ul>
 * <li>1. Function :</li>
 * <li>2. Summary :</li>
 * <li>3. Notification :</li>
 * </ul>
 */
@Repository("ioMapLoaderForMonitoringDao")
@SuppressWarnings("unchecked")
public class IoMapLoaderForMonitoringDao extends SqlMapClientForMonitoringTemplateDao {
	
    public void insert(HashMap<String,String> param) throws Exception {
    	template.insert("IoMapLoaderForMonitoring.insert", param);
    }	
    public void delete(HashMap<String,String> param) throws Exception {
    	template.delete("IoMapLoaderForMonitoring.delete", param);
    }	
    public List<HashMap> selectForCmType(HashMap<String,String> param) throws Exception {
    	return template.queryForList("IoMapLoaderForMonitoring.selectForCmType", param);
    }	
    public void update(HashMap<String,String> param) throws Exception {
    	template.update("IoMapLoaderForMonitoring.update", param);
    }	
	public List<Map> selectIocmRst(Map params) {
		return template.queryForList("IoMapLoaderForMonitoring.selectIocmRst", params);
	}

}
